// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing;

import io.confluent.kafka.databalancing.topology.Broker;
import org.apache.kafka.common.TopicPartition;

public interface MutableRebalanceContext extends RebalanceContext {
    void addReplica(TopicPartition topicPartition, Broker broker);
    void movePartition(TopicPartition topicPartition, Broker from, Broker to);
    void makeLeader(TopicPartition topicPartition, Broker newLeader);

    /**
     * This method should be used with care, it probably only makes sense when reducing the replication factor of
     * a partition, which is currently unsupported.
     */
    void removeReplica(TopicPartition topicPartition, Broker broker);
}
