// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing;

import io.confluent.kafka.databalancing.topology.ReplicaAssignment;

import java.io.Closeable;
import java.util.List;

public interface Rebalancer extends Closeable {

    ProposedRebalance proposeRebalance(List<Integer> brokerIdsToRemove, RebalancerConfig config);

    void startRebalance(ReplicaAssignment currentAssignment, ReplicaAssignment proposedAssignment, long replicationQuota);

    boolean disengageThrottle();

    RebalanceStatus status();

    void close();

    boolean maybeUpdateReplicationQuota(ReplicaAssignment inProgressAssignment, long replicationQuota);

}
