// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing;

import scala.collection.JavaConversions;
import scala.collection.Seq;

import java.util.ArrayList;
import java.util.List;

public class ScalaUtils {

    /**
     * Scala's Seq<Int> is represented as Seq<Object> in Java generics (as Java doesn't support generics for primitive
     * types
     */
    public static List<Integer> fromScalaSeqInt(Seq<Object> seq) {
        List<Integer> result = new ArrayList<>(seq.length());
        for (Object v : JavaConversions.asJavaIterable(seq)) {
            if (v instanceof Integer)
                result.add((Integer) v);
            else
                throw new ClassCastException("Expected an Integer, but found " + v + " with type " + v.getClass());
        }
        return result;
    }
}
