// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing.metric;

import org.apache.kafka.common.TopicPartition;

import java.util.Collections;
import java.util.Map;

public class Metrics {
    private final Map<TopicPartition, Long> partitionToSize;

    public Metrics(Map<TopicPartition, Long> partitionToSize) {
        this.partitionToSize = partitionToSize;
    }

    public Map<TopicPartition, Long> partitionToSize() {
        return Collections.unmodifiableMap(partitionToSize);
    }

    public long partitionSize(TopicPartition partition) {
        Long result = partitionToSize.get(partition);
        return result == null ? 0 : result;
    }

    @Override
    public String toString() {
        return "Metrics(partitionToSize=" + partitionToSize + ")";
    }
}
