// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing.view;

import io.confluent.kafka.databalancing.CompareResult;
import io.confluent.kafka.databalancing.RebalanceContext;
import io.confluent.kafka.databalancing.constraint.RebalanceConstraints;
import io.confluent.kafka.databalancing.topology.Broker;
import io.confluent.kafka.databalancing.topology.Replica;
import org.apache.kafka.common.TopicPartition;

import java.util.List;

public interface ClusterView {

    List<Replica> replicasOnAboveParBrokers();

    List<Broker> brokersWithBelowParReplicaFairness();

    List<TopicPartition> leadersOnAboveParBrokers();

    List<Broker> brokersWithBelowParLeaderFairness();

    RebalanceConstraints constraints();

    ClusterView refresh(RebalanceContext context);

    CompareResult compareReplicaFairness(TopicPartition topicPartition, Broker b1, Broker b2);

    CompareResult compareReplicaFairness(Broker b1, TopicPartition tp1, Broker b2, TopicPartition tp2);

    CompareResult compareLeaderFairness(TopicPartition topicPartition, Broker b1, Broker b2);

}
