package io.confluent.serializers;

import org.apache.kafka.common.serialization.Deserializer;
import org.apache.kafka.common.serialization.Serializer;
import org.apache.kafka.common.utils.Bytes;

import java.util.Map;

public class OrderedKeyUberSerdeDelegate<T> implements OrderedKeyUberSerde<T> {

  private final OrderedKeyUberSerde<T> delegate;

  public OrderedKeyUberSerdeDelegate(OrderedKeyUberSerde<T> delegate) {
    this.delegate = delegate;
  }

  @Override
  public OrderedKeyUberSerde<T> prefixKeySerde(int numFields) {
    return delegate.prefixKeySerde(numFields);
  }

  @Override
  public int numFields() {
    return delegate.numFields();
  }

  @Override
  public Bytes key(T message) {
    return delegate.key(message);
  }

  @Override
  public T toProto(Bytes key) {
    return delegate.toProto(key);
  }

  @Override
  public String toHexString(Bytes key) {
    return delegate.toHexString(key);
  }

  @Override
  public Class<Bytes> type() {
    return delegate.type();
  }

  @Override
  public byte[] serialize(Bytes message) {
    return delegate.serialize(message);
  }

  @Override
  public Bytes deserialize(byte[] bytes) {
    return delegate.deserialize(bytes);
  }

  @Override
  public byte[] fromJSON(String json) {
    return delegate.fromJSON(json);
  }

  @Override
  public String toJSON(Bytes message) {
    return delegate.toJSON(message);
  }

  @Override
  public void configure(Map<String, ?> map, boolean b) {
    delegate.configure(map, b);
  }

  @Override
  public void close() {
    delegate.close();
  }

  @Override
  public Serializer<Bytes> serializer() {
    return delegate.serializer();
  }

  @Override
  public Deserializer<Bytes> deserializer() {
    return delegate.deserializer();
  }

  @Override
  public Bytes deserialize(String s, byte[] bytes) {
    return delegate.deserialize(s, bytes);
  }

  @Override
  public byte[] serialize(String s, Bytes bytes) {
    return delegate.serialize(s, bytes);
  }
}
