package io.confluent;

import com.google.common.util.concurrent.RateLimiter;

import org.apache.log4j.Level;
import org.apache.log4j.Priority;
import org.apache.log4j.spi.Filter;
import org.apache.log4j.spi.LoggingEvent;

public class Log4jRateFilter extends Filter {

  private Priority level;
  private RateLimiter rateLimiter;

  public void setLevel(String level) {
    this.level = Level.toLevel(level);
  }

  public void setRate(int rate) {
    this.rateLimiter = RateLimiter.create(rate);
  }

  @Override
  public int decide(LoggingEvent loggingEvent) {
    if (rateLimiter.tryAcquire() || loggingEvent.getLevel().isGreaterOrEqual(level)) {
      return NEUTRAL;
    } else {
      return DENY;
    }
  }
}
