// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.license;

import com.google.inject.Inject;

import org.jose4j.jwt.JwtClaims;

import io.confluent.license.License;

public class LicenseInfo {

  private final JwtClaims claims;

  @Inject
  public LicenseInfo(JwtClaims claims) {
    this.claims = claims;
  }

  public boolean isMonitoringEnabled() {
    return License.verifyMonitoring(claims);
  }

  public long getExpiration() {
    return License.getExpiration(claims);
  }
}
