// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.rest;

import io.confluent.monitoring.record.Monitoring.MessageType;
import io.confluent.monitoring.record.Monitoring.MonitoringMessage;

public enum Metric {
  count, minLatency, maxLatency, totalLatency, crc, error, group;

  public Object getValue(MonitoringMessage message) {
    switch (this) {
      case count:
        return message.getCount();
      case minLatency:
        return message.getMinLatency();
      case maxLatency:
        return message.getMaxLatency();
      case totalLatency:
        return message.getTotalLatency();
      case crc:
        return message.getAggregateCrc();
      case error:
        return message.getType() == MessageType.ERROR;
      case group:
        //TODO(mhowlett): StringUtils.emptyToNull this when future PR merged.
        return message.getGroup();
    }
    return null;
  }
}
