package io.confluent.controlcenter.streams.alert;

import org.apache.kafka.common.utils.Bytes;
import io.confluent.controlcenter.record.Controlcenter.TriggerEvent;

import java.util.Objects;

public class TriggerEventUtil {

  public static int partitionFor(Bytes key, TriggerEvent message, int numPartitions) {
    if (!message.getHeartbeat()) {
      return Math.abs(Objects.hash(key) % numPartitions);
    } else {
      int partition = message.getInternalTopicPartition();
      if (partition >= numPartitions || partition < 0) {
        partition = partition % numPartitions;
      }
      return partition;
    }
  }
}
