// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.streams.cluster;

import io.confluent.controlcenter.util.LRUSet;
import io.confluent.monitoring.record.Monitoring.MonitoringMessage;
import org.apache.kafka.streams.kstream.Predicate;

import java.util.Set;

public class ClusterListCheck implements Predicate<byte[], MonitoringMessage> {

  public static final int MAX_CACHE_ENTRIES = 128;

  private final Set<String> clusterIdCache = new LRUSet<>(MAX_CACHE_ENTRIES);

  @Override
  public boolean test(byte[] key, MonitoringMessage msg) {
    if (msg.getClusterName().length() > 0) {
      return true;
    }
    //Cache and filter messages that only contain clusterId (and not cluster name)
    return clusterIdCache.add(msg.getClusterId());
  }
}
