package io.confluent.controlcenter.streams.monitoring;

import org.apache.kafka.streams.kstream.Predicate;

import io.confluent.monitoring.record.Monitoring.MessageType;
import io.confluent.monitoring.record.Monitoring.MonitoringMessage;

public class MonitoringMessageType<K> implements Predicate<K, MonitoringMessage> {

  private final MessageType type;

  private MonitoringMessageType(MessageType type) {
    this.type = type;
  }

  @Override
  public boolean test(K key, MonitoringMessage value) {
    return type.equals(value.getType());
  }

  public static final MonitoringMessageType IS_ERROR = new MonitoringMessageType<>(MessageType.ERROR);
  public static final MonitoringMessageType IS_NORMAL = new MonitoringMessageType<>(MessageType.NORMAL);
  public static final MonitoringMessageType IS_HEARTBEAT = new MonitoringMessageType<>(MessageType.HEARTBEAT);
}
