// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.streams.monitoring;

import io.confluent.controlcenter.keys.Keys.KeyType;
import io.confluent.serializers.OrderedKeyPrefixedSerde;
import org.apache.kafka.common.utils.Bytes;
import org.apache.kafka.streams.KeyValue;

import io.confluent.controlcenter.streams.TypeMapper;
import io.confluent.monitoring.record.Monitoring.MonitoringMessage;

public class MonitoringMessageTypeMapper implements TypeMapper<MonitoringMessage> {

  private final OrderedKeyPrefixedSerde<KeyType, MonitoringMessage> serde;

  public MonitoringMessageTypeMapper(OrderedKeyPrefixedSerde<KeyType, MonitoringMessage> serde) {
    this.serde = serde;
  }

  @Override
  public KeyValue<Bytes, MonitoringMessage> apply(byte[] key, MonitoringMessage value) {
    return KeyValue.pair(serde.key(value), value);
  }
}
