package io.confluent.controlcenter.streams.monitoring;

import org.junit.Test;

import io.confluent.monitoring.record.Monitoring.MessageType;
import io.confluent.monitoring.record.Monitoring.MonitoringMessage;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class MonitoringMessageTypeTest {

  public static MonitoringMessage NORMAL = MonitoringMessage.newBuilder().setType(MessageType.NORMAL).build();
  public static MonitoringMessage HEARTBEAT = MonitoringMessage.newBuilder().setType(MessageType.HEARTBEAT).build();
  public static MonitoringMessage ERROR = MonitoringMessage.newBuilder().setType(MessageType.ERROR).build();

  @Test
  public void testNormal() {
    assertTrue(MonitoringMessageType.IS_NORMAL.test("", NORMAL));
    assertFalse(MonitoringMessageType.IS_NORMAL.test("", HEARTBEAT));
    assertFalse(MonitoringMessageType.IS_NORMAL.test("", ERROR));
  }

  @Test
  public void testHeartbeat() {
    assertFalse(MonitoringMessageType.IS_HEARTBEAT.test("", NORMAL));
    assertTrue(MonitoringMessageType.IS_HEARTBEAT.test("", HEARTBEAT));
    assertFalse(MonitoringMessageType.IS_HEARTBEAT.test("", ERROR));
  }

  @Test
  public void testError() {
    assertFalse(MonitoringMessageType.IS_ERROR.test("", NORMAL));
    assertFalse(MonitoringMessageType.IS_ERROR.test("", HEARTBEAT));
    assertTrue(MonitoringMessageType.IS_ERROR.test("", ERROR));
  }
}
