// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.util;

import org.junit.Test;

import java.util.Set;
import static org.junit.Assert.*;

public class LRUSetTest {

  @Test
  public void testBasicOps() {
    Set<String> cache = new LRUSet<>(4);

    assertTrue(cache.add("a"));
    assertTrue(cache.add("c"));
    assertTrue(cache.add("e"));
    assertTrue(cache.add("g"));
    assertFalse(cache.add("g"));

    assertEquals(4, cache.size());

    assertTrue(cache.contains("g"));
    assertTrue(cache.contains("c"));
    assertTrue(cache.contains("a"));
    assertTrue(cache.contains("e"));

    //Eviction is based on insert time
    assertTrue(cache.add("d"));
    assertEquals(4, cache.size());
    assertFalse(cache.contains("a"));
    assertTrue(cache.contains("d"));

    assertTrue(cache.remove("d"));
    assertEquals(3, cache.size());
    assertFalse(cache.contains("d"));
    assertFalse(cache.remove("d"));

    assertFalse(cache.isEmpty());
    cache.clear();
    assertEquals(0, cache.size());
    assertTrue(cache.isEmpty());
  }
}