// <%= flowDeclaration %>
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';

function <%= name %><<%= pascalEntityName %>Options>(
  ComposedComponent: ReactClass<<%= pascalEntityName %>Options>,
  <%= name %>Promise: Promise<<%= pascalEntityName %>Options>
): ReactClass<{}> {
  return class extends React.Component {
    state: {
      loading: boolean,
      options: ?<%= pascalEntityName %>Options
    };

    load: () => void;

    constructor() {
      super();

      this.state = {
        loading: false,
        options: null
      };

      this.load = () => {
        this.setState({ loading: true });
        <%= name %>Promise.then(options => this.setState({
          loading: false,
          options
        }));
      };
    }

    render() {
      if (this.state.options === null) {
        const label = this.state.loading ? 'Loading...' : 'Load';
        return (
          <button
            disabled={this.state.loading}
            onClick={this.load}
          >
            {label}
          </button>
        );
      } else {
        return (
          <ComposedComponent {...this.state.options} />
        );
      }
    }
  }
}

export default <%= name %>;
