// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { makeAction } from './util';

import type { Action } from 'types';

export const ComponentTypes = {
  MONITORING_CHART: 'MONITORING_CHART'
};
export type ComponentType = $Enum<typeof ComponentTypes>;


export const SET_FOCUSED_COMPONENT = 'SET_FOCUSED_COMPONENT';
export type SetFocusedComponentAction = Action<'SET_FOCUSED_COMPONENT', { type: ComponentType, id: Object }>
export const setFocusedComponent = (type: ComponentType, id: Object): SetFocusedComponentAction => makeAction(SET_FOCUSED_COMPONENT, { type, id });

export const UNSET_FOCUSED_COMPONENT = 'UNSET_FOCUSED_COMPONENT';
export type UnsetFocusedComponentAction = Action<'UNSET_FOCUSED_COMPONENT', null>
export const unsetFocusedComponent = (): UnsetFocusedComponentAction => makeAction(UNSET_FOCUSED_COMPONENT, null);

export const SET_POPOVER_POSITION = 'SET_POPOVER_POSITION';
export type SetPopoverPositionAction = Action<'SET_POPOVER_POSITION', { pageX: number, pageY: number }>
export const setPopoverPosition = (pageX: number, pageY: number): SetPopoverPositionAction => makeAction(SET_POPOVER_POSITION, { pageX, pageY });

export const SET_VISIBLE_MODAL = 'SET_VISIBLE_MODAL';
export type SetVisibleModalAction = Action<'SET_VISIBLE_MODAL', { id: ?string }>
export const setVisibleModal = (id: ?string): SetVisibleModalAction => makeAction(SET_VISIBLE_MODAL, { id });
