// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { makeAction } from '../util';

import type { Action } from 'types';


export const SET_TIME_PICKER_VISIBILITY = 'SET_TIME_PICKER_VISIBILITY';
export type SetTimePickerVisibilityAction = Action<'SET_TIME_PICKER_VISIBILITY', { isVisible: boolean }>
export const setTimePickerVisibility = (isVisible: boolean): SetTimePickerVisibilityAction => makeAction(SET_TIME_PICKER_VISIBILITY, { isVisible });

export const SET_CHART_AREA_WIDTH = 'SET_CHART_AREA_WIDTH';
export type ChartAreaWidthAction = Action<'SET_CHART_AREA_WIDTH', { widthPixels: number }>
export const setChartAreaWidth = (widthPixels: number): ChartAreaWidthAction => makeAction(SET_CHART_AREA_WIDTH, { widthPixels });

export const SET_MOUSE_OVER_TIME = 'SET_MOUSE_OVER_TIME';
export type MouseOverTimeAction = Action<'SET_MOUSE_OVER_TIME', { mouseOverTime: ?Date }>
export const setMouseOverTime = (mouseOverTime: ?Date): MouseOverTimeAction => makeAction(SET_MOUSE_OVER_TIME, { mouseOverTime });

export const SET_PAGE_SCROLL_INFO = 'SET_PAGE_SCROLL_INFO';
export type SetPageScrollInfoAction = Action<'SET_PAGE_SCROLL_INFO', { offsetY: number, pageHeight: number, windowHeight: number }>
export const setPageScrollInfo = (offsetY: number, pageHeight: number, windowHeight: number): SetPageScrollInfoAction => makeAction(SET_PAGE_SCROLL_INFO, { offsetY, pageHeight, windowHeight });
