// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import styles from './LicenseExpired.css';
import licenseExpiredGraphic from 'static/licenseExpired.svg';
import InlineSVG from 'svg-inline-react';
import { LICENSE_SUBSCRIPTION_URL } from 'constants/license';

export const licenseExpiredContents = {
  svgSrc: licenseExpiredGraphic,
  header: 'Your license has expired. Sign up for a subscription.',
  primaryLabel: 'Learn more',
  primaryUrl: LICENSE_SUBSCRIPTION_URL,
  secondaryLabel: 'or email us at contact@confluent.io',
  secondaryUrl: 'mailto:contact@confluent.io'
};

export class LicenseExpired extends Component {
  render() {
    return (
      <div className={styles['license-expired-root']}>
        <div className={styles['inner']}>
          <InlineSVG src={licenseExpiredContents.svgSrc} />
          <h2>{licenseExpiredContents.header}</h2>
          <a
            className={styles['primary-link']}
            href={licenseExpiredContents.primaryUrl}
            target="_blank"
            rel="noopener noreferrer"
          >
            {licenseExpiredContents.primaryLabel}
          </a>
          <a
            className={styles['secondary-link']}
            href={licenseExpiredContents.secondaryUrl}
            target="_top"
          >
            {licenseExpiredContents.secondaryLabel}
          </a>
        </div>
      </div>
    );
  }
}

export default LicenseExpired;
