// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { Link } from 'react-router';
import { connect } from 'react-redux';

import styles from './Account.css';

const LOGOUT_LABEL = 'Sign out';

type AccountProps = {
  name: string
};

export const Account = ({ name }: AccountProps) => (
  <div className={styles['account-root']}>
    <div className={styles.name}>
      {name}
    </div>
    <div className={styles.info}>
      <Link
        className={styles.logout}
        to="/logout"
      >
        {LOGOUT_LABEL}
      </Link>
    </div>
  </div>
);

export default connect(state => ({
  name: state.auth.principal
}))(Account);
