// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { AggregateConsumption, AggregateLatency } from 'components/aggregate-stats/index';

import styles from './AggregateStats.css';

import { MonitoringDataTypes } from 'types/monitoring';

export class AggregateStats extends Component {
  props: {
    aggStats: Array<string>
  };

  static defaultProps = {
    aggStats: []
  };

  render() {
    return (
      <div className={styles['aggregate-stats-root']}>
        {this.props.aggStats.indexOf(MonitoringDataTypes.DELIVERY) >= 0 && (
          <AggregateConsumption />
        )}
        {this.props.aggStats.indexOf(MonitoringDataTypes.LATENCY) >= 0 && (
          <AggregateLatency />
        )}
      </div>
    );
  }
}

export default AggregateStats;
