// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import styles from './GridLine.css';

export type GridLineProps = {
  yAxisTotalWidth: number,
  width: number,
  screenY: number,
  domainY: number,
  tickTextFormatter: (tick: number) => string,
  solid?: boolean
};

class GridLine extends Component {
  props: GridLineProps;

  render() {
    const { yAxisTotalWidth, width, screenY, domainY, tickTextFormatter, solid } = this.props;

    return (
      <g>
        <line
          x1={yAxisTotalWidth-20}
          x2={width}
          y1={screenY}
          y2={screenY}
          className={solid ? styles['y-grid-line-solid'] : styles['y-grid-line']}
        />
        <text x={yAxisTotalWidth - 25} y={screenY} className={styles['y-axis-label']}>
          {tickTextFormatter(domainY)}
        </text>
      </g>
    );
  }
}

export default GridLine;
