// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import Legend from './Legend';
import LegendItem from './LegendItem';
import SlotWidth from './SlotWidth';

import producedIcon from 'static/icons/legend-produced.svg';
import consumedIcon from 'static/icons/legend-consumed.svg';
import InlineSVG from 'svg-inline-react';

export class DeliveryLegend extends Component {
  props: {
    slotWidthMs: number
  };

  render() {
    return (
      <Legend>
        <LegendItem><InlineSVG src={producedIcon} /> Produced</LegendItem>
        <LegendItem><InlineSVG src={consumedIcon} /> Consumed</LegendItem>
        <SlotWidth slotWidthMs={this.props.slotWidthMs} />
      </Legend>
    );
  }
}

export default DeliveryLegend;
