// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import Legend from './Legend';
import LegendItem from './LegendItem';
import SlotWidth from './SlotWidth';

import latencyIcon from 'static/icons/legend-latency.svg';
import latencyRangeIcon from 'static/icons/legend-latency-range.svg';
import InlineSVG from 'svg-inline-react';

export class LatencyLegend extends Component {
  props: {
    slotWidthMs: number
  };

  render() {
    return (
      <Legend>
        <LegendItem><InlineSVG src={latencyIcon} /> Avg Latency</LegendItem>
        <LegendItem><InlineSVG src={latencyRangeIcon} /> Latency Range</LegendItem>
        <SlotWidth slotWidthMs={this.props.slotWidthMs} />
      </Legend>
    );
  }
}

export default LatencyLegend;
