// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { PopupMenu } from './PopupMenu';

import styles from './PositionFreezablePopupMenu.less';
import type { Alignment } from 'components/button-popup';

type PositionablePopupMenuItemProps = {
  x: number,
  y: number,
  items: any,
  alignment: Alignment
}

export class PositionFreezablePopupMenu extends Component {
  props: PositionablePopupMenuItemProps;

  state: {
    frozen: boolean,
    x: number,
    y: number
  };

  constructor() {
    super();
    this.state = {
      frozen: false,
      x: 0,
      y: 0
    };
  }

  handleMenuOpened() {
    this.setState({
      frozen: true,
      x: this.props.x,
      y: this.props.y
    });
  }

  handleMenuClosed() {
    this.setState({
      frozen: false,
      x: this.props.x,
      y: this.props.y
    });
  }

  render() {
    const x = this.state.frozen ? this.state.x : this.props.x;
    const y = this.state.frozen ? this.state.y : this.props.y;

    return (
      <div style={{ left: `${x}px`, top: `${y}px` }} className={styles.overlay} >
        <PopupMenu
          {...this.props}
          onMenuOpened={this.handleMenuOpened.bind(this)}
          onMenuClosed={this.handleMenuClosed.bind(this)}
        />
      </div>
    );
  }
}

export default PositionFreezablePopupMenu;
