// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { connect } from 'react-redux';

import { ActionBar } from 'components/navigation';
import {
  Button,
  ButtonClassTypes,
  ButtonSizes
} from 'components/button';

export class ActionFormBar extends Component {
  props: {
    buttons: Array<Object>,
    routeParams?: Object,
    dispatch: Function
  };

  render() {
    return (
      <ActionBar>
        {this.props.buttons.map(buttonSpec => (
          <Button
            classType={buttonSpec.isPrimary ? ButtonClassTypes.PRIMARY : ButtonClassTypes.SECONDARY}
            size={ButtonSizes.LARGE}
            key={buttonSpec.text}
            onClick={buttonSpec.onClick.bind(this, this.props.dispatch)}
            disabled={buttonSpec.isDisabled}
            text={buttonSpec.text}
          />
        ))}
      </ActionBar>
    );
  }
}

export default connect(
  (state, props) => (
    {
      buttons: props.actionBarButtonsSelector(state, props.routeParams)
    }
  )
)(ActionFormBar);
