// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import Sticky from 'react-stickynode';
import { connect } from 'react-redux';

import LicenseExpired from 'components/LicenseExpired';
import styles from './SubNavLayout.css';
import { Header, Breadcrumbs } from 'components/header';
import { showLicenseExpiredSelector } from 'selectors/license';

export class SubNavLayout extends Component {
  props: {
    content?: any,
    params: Object,
    routes: Array<Object>,
    subnav?: any,
    showLicenseExpired: boolean,
    topLinks?: any
  };

  render() {
    return (
      this.props.showLicenseExpired
        ? <LicenseExpired />
        : <div className={styles.root}>
          <Header
            bottomLeft={<Breadcrumbs routes={this.props.routes} params={this.props.params} />}
          />
            <Sticky top={0}>
              <div className={styles.sticky}>
                {this.props.subnav}
                {this.props.topLinks && (
                  <div className={styles['top-links']}>
                    {this.props.topLinks}
                  </div>
                )}
              </div>
            </Sticky>
            {this.props.content}
          </div>
    );
  }
}

export default connect(
  (state) => ({ showLicenseExpired: showLicenseExpiredSelector(state) })
)(SubNavLayout);
