// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { connect } from 'react-redux';
import { setVisibleModal } from 'actions/layout';
import { Modal } from './Modal.jsx';

export class ConnectedModal extends Component {
  props: {
    children?: any,
    setVisibleModal: Function,
    id: string,
    visibleModalId: string | null,
    clickOutsideCloses: boolean
  };

  static defaultProps = {
    clickOutsideCloses: true
  };

  handleClose() {
    if (this.props.clickOutsideCloses) {
      this.props.setVisibleModal(null);
    }
  }

  render() {
    return (this.props.visibleModalId === this.props.id
      ? <Modal onClose={this.handleClose.bind(this)}>
          {this.props.children}
        </Modal>
      : null
    );
  }
}

export default connect(
  state => ({
    visibleModalId: state.layout.visibleModalId
  }),
  { setVisibleModal }
)(ConnectedModal);
