// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import styles from './Modal.css';

export class Modal extends Component {
  props: {
    children?: any,
    onClose?: Function
  };

  modalDiv: HTMLElement;

  handleClick(e: SyntheticMouseEvent) {
    const modalBounds = this.modalDiv.getBoundingClientRect();

    const outsideModal =
      e.pageX < modalBounds.left ||
      e.pageX > modalBounds.left + modalBounds.width ||
      e.pageY < modalBounds.top ||
      e.pageY > modalBounds.top + modalBounds.height;

    if (outsideModal && this.props.onClose) {
      this.props.onClose();
    }
  }

  render() {
    return (
      <div className={styles.outer} onClick={this.handleClick.bind(this)}>
        <div className={styles.shadow} />
        <div ref={el => this.modalDiv = el} className={styles.modal}>
          {this.props.children}
        </div>
      </div>
    );
  }
}

export default Modal;
