// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import MemberTitleIcon from './MemberTitleIcon';

import type { MemberTitleIconType } from 'types/monitoring';

import styles from './MemberTitle.css';

export class MemberTitle extends Component {
  props: {
    title: ?Array<string>,
    titleIconType: ?MemberTitleIconType
  };

  render() {
    const { title, titleIconType } = this.props;

    // double == matches undefined as well.
    if (title == null || titleIconType == null) {
      return null;
    }

    return (
      <div className={styles['chart-title-root']}>
        <MemberTitleIcon type={titleIconType} />
        <span className={styles['chart-title-text']}>
          {title.map((label, idx) => <span key={idx}>{`${label} `}</span>)}
        </span>
      </div>
    );
  }
}

export default MemberTitle;
