// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import styles from './ActionBar.css';
import { SubNavigation } from './SubNavigation';

import type { Links } from './SubNavigation';

export type ActionBarProps = {
  children?: any,
  navLinks: Links
};

export class ActionBar extends Component {
  props: ActionBarProps;

  static defaultProps = {
    navLinks: []
  };

  render() {
    return (
      <div className={styles['action-bar-root']}>
        <div className={styles['buttons']}>
          {this.props.children}
        </div>
        {this.props.navLinks.length > 0 && (
          <div className={styles['navigation']}>
            <SubNavigation
              isBelowContent={true}
              links={this.props.navLinks}
            />
          </div>
        )}
      </div>
    );
  }
}

export default ActionBar;
