// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { Link } from 'react-router';

import styles from './NavGroup.css';

type NavGroupProps = {
  heading: string,
  prefix: string,
  children?: React$Element<any>
};

export const NavGroup = ({ heading, prefix, children }: NavGroupProps) => (
  <div className={styles['root']}>
    <span className={styles['nav-group-header']}>{ heading }</span>

    <Link
      to={prefix}
      activeClassName={styles['nav-group-selected']}
    >
      <hr />
    </Link>

    <ul className={styles['nav-list']}>
      {children}
    </ul>
  </div>
);


export default NavGroup;
