// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { IndexLink, Link } from 'react-router';

import { Icon } from 'components/icon';
import { IconNames } from 'components/icon/icons';
import styles from './NavGroupItem.css';

type NavGroupItemProps = {
  icon: $Enum<typeof IconNames>,
  pathname: string,
  children?: React$Element<any>,
  useIndexLink?: boolean
};

export const NavGroupItem = ({ icon, pathname, children, useIndexLink }: NavGroupItemProps) => {
  const Component = typeof useIndexLink !== 'undefined' && useIndexLink ? IndexLink : Link;
  return (
    <li className={styles['nav-group-item']}>
      <Component
        className={styles['nav-link']}
        activeClassName={styles['nav-link-selected']}
        to={pathname}
      >
        <Icon name={icon} size={15} />
        {children}
      </Component>
    </li>
  );
};

export default NavGroupItem;
