// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import InlineSVG from 'svg-inline-react';
import React from 'react';

import deleteIcon from 'static/icons/sm/delete.svg';
import styles from './CellLink.css';
import wrenchIcon from 'static/icons/sm/wrench.svg';
import { Link } from 'react-router';

import type { CellRenderer } from 'types/flex-table';

export const IconTypes = {
  DELETE: deleteIcon,
  EDIT: wrenchIcon
};

// eslint-disable-next-line object-curly-spacing
export const CellLink = ({ cellData: { icon, linkTo, text, onClick } }: $Shape<CellRenderer>) => (
  <Link onClick={onClick} to={linkTo}>
    <span className={styles['action']}>
      {icon && (
        <InlineSVG className={styles['icon']} src={icon} />
      )}
      <span className={styles['action-label']}>
        {text}
      </span>
    </span>
  </Link>
);

export default CellLink;
