// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import styles from './Calendar.less';
import moment from 'moment';

import DatePicker from 'react-date-picker';

const dateFormat = 'YYYY-MM-DD';
const timeFormat = ' +-HH:mm';
const dateTimeFormat = 'YYYY-MM-DD +-HH:mm';

export class Calendar extends Component {
  props: {
    onDateChange: Function,
    currDate: number,
    minDate: number
  };

  render() {
    return (
      <div className={styles['calendar-root']}>
        <DatePicker
          minDate={moment.unix(this.props.minDate).format(dateFormat)}
          maxDate={moment().format(dateFormat)}
          date={moment.unix(this.props.currDate).format(dateFormat)}
          onChange={(dateString) => {
            // Carry over the current time of day to the newly selected date
            const currTime = moment.unix(this.props.currDate).format(timeFormat);
            const newDate = moment(dateString + currTime, dateTimeFormat);
            this.props.onDateChange(newDate.unix());
          }}
        />
      </div>
    );
  }
}

export default Calendar;
