// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import type { Action } from 'types';

import { SET_FORM_OPTIONS } from 'actions/form';
import { FormTypes } from 'types/form';

import type { SetFormOptionsAction } from 'actions/form';

import { SelectOptionListIds } from 'types/alerts';


export type TriggerFormState = {
  selectOptions: Object
};

const defaultState : TriggerFormState = {
  selectOptions: {
    [SelectOptionListIds.CONSUMER_GROUPS]: [],
    [SelectOptionListIds.CONNECTORS]: []
  }
};

function setFormOptions(state: TriggerFormState, action: SetFormOptionsAction): TriggerFormState {
  if (action.payload.formType !== FormTypes.ALERTS_TRIGGER_FORM) {
    return state;
  }
  return {
    selectOptions: {
      ...state.selectOptions,
      [action.payload.fieldName]: action.payload.options
    }
  };
}

export function triggerForm(state: TriggerFormState = defaultState, action: Action<*, *>): TriggerFormState {
  switch (action.type) {
    case SET_FORM_OPTIONS:
      return setFormOptions(state, action);
    default:
      return state;
  }
}
