// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import type { Action } from '../../types';

import { ALERTS_TRIGGER_LAST_CREATED } from 'actions/alerts';
import type { AlertsTriggerLastCreatedAction } from 'actions/alerts';

export type TriggerLastCreatedState = {
  guid: string | null
};

const defaultState : TriggerLastCreatedState = {
  guid: null
};

function setTriggerGuid(state: TriggerLastCreatedState, action: AlertsTriggerLastCreatedAction): TriggerLastCreatedState {
  return { guid: action.payload.triggerInfo.guid };
}

export function triggerLastCreated(state: TriggerLastCreatedState = defaultState, action: Action<*, *>): TriggerLastCreatedState {
  switch (action.type) {
    case ALERTS_TRIGGER_LAST_CREATED:
      return setTriggerGuid(state, action);
    default:
      return state;
  }
}
