// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { IconNames } from 'components/icon';

// for actions
type AsyncAction = any;
export type Action<T, P> = {
  type: T,
  payload: P
};

export type Dispatcher = (a: Action<*, *>) => any;
export type Dispatchable = (d: Dispatcher, getState: Function) => any;

export type ActionCreator = (...args: any) => Action<*, *> | AsyncAction;

// for store
export type Store = {
  close: Function,
  dispatch: Function,
  getState: Function,
  replaceReducer: Function,
  runSaga: Function,
  subscribe: Function
};

export type MinMax = {
  min: number,
  max: number
};

export type LinkType<S, Q> = {
  route?: string,
  label: Array<string>,
  state?: S,
  query?: Q
};

export const EnabledDisabled = {
  ENABLED: 'ENABLED',
  DISABLED: 'DISABLED'
};

export type Icon = $Enum<typeof IconNames>;

export type MenuItem = {|
  icon: Icon,
  label: any,
  onActivate?: () => any
|};

export type EnabledDisabledType = $Enum<typeof EnabledDisabled>;
