// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { format } from 'd3-format';

const numberFormatter = format('.3');

export function slotWidthFormatter(ms: number): string {
  const sec = ms / 1000;
  if (sec < 1) {
    return `${ms} ms`;
  }
  const min = sec / 60;
  if (min < 1) {
    return `${numberFormatter(sec)} sec`;
  }
  const hr = min / 60;
  if (hr < 1) {
    return `${numberFormatter(min)} min`;
  }
  return `${numberFormatter(hr)} hr`;
}
