// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import { ClusterSelectorDropdown } from 'components/ClusterSelectorDropdown/ClusterSelectorDropdown';
import styles from 'components/ClusterSelectorDropdown/ClusterSelectorDropdown.css';

describe('<ClusterSelectorDropdown />', () => {
  let props;

  beforeEach(() => {
    const clusters = [
      {
        value: null,
        label: 'Unknown'
      },
      {
        value: '24',
        label: 'Colorado'
      }
    ];

    props = {
      clusters,
      clusterType: 'CONNECT',
      loadClusters: () => {},
      selectCluster: () => {},
      selectedCluster: clusters[0]
    };
  });

  it('mounts', () => {
    const wrapper = mount(<ClusterSelectorDropdown {...props} />);
    expect(wrapper.find({ className: styles['cluster-selector-dropdown-root'] })).to.be.present();
    wrapper.unmount();
  });
});
