// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount, shallow } from 'enzyme';

import { Link } from 'react-router';
import EmptyListPrompt from 'components/EmptyListPrompt';
import styles from 'components/EmptyListPrompt/EmptyListPrompt.css';

describe('<EmptyListPrompt />', () => {
  let props;

  beforeEach(() => {
    props = {
      header: 'yo header',
      text: 'hey text'
    };
  });

  it('mounts', () => {
    const wrapper = mount(<EmptyListPrompt {...props} />);
    expect(wrapper.find({ className: styles['empty-list-prompt-root'] })).to.be.present();
    expect(wrapper.find('h3').text()).to.equal(props.header);
    expect(wrapper.find('p').text()).to.equal(props.text);
    expect(wrapper.find('button')).to.not.be.present();
    wrapper.unmount();
  });

  it('shallow renders button links', () => {
    props = {
      ...props,
      buttonText: 'woah buttonText',
      buttonRoute: {
        pathname: '/some-url'
      }
    };
    const wrapper = shallow(<EmptyListPrompt {...props} />);

    expect(wrapper.find(Link).props().to).to.equal(props.buttonRoute);
    expect(wrapper.find('ButtonSecondaryMedium').props().text).to.equal(props.buttonText);
    wrapper.unmount();
  });
});
