// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import FieldInput from 'components/FieldInput';
import { getBaseFormField } from './form/util';

describe('<FieldInput />', () => {
  let props;

  beforeEach(() => {
    const { reduxFormInputProps, sectionField } = getBaseFormField('field-input');
    props = {
      active: false,
      asyncValidating: false,
      dirty: true,
      invalid: false,
      input: {
        ...reduxFormInputProps,
        errorsAreVisible: false,
        sectionField
      }
    };
  });

  it('mounts', () => {
    const wrapper = mount(<FieldInput {...props} />);
    expect(wrapper).to.be.present();
    wrapper.unmount();
  });
});
