// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';
import d3scale from 'd3-scale';

import { ChartArea } from 'components/charting/charts/ChartArea';
import { createAxisCountTextFormatter } from 'components/charting/charts/area-line-chart/AreaLineChart';


describe('<ChartArea />', () => {
  it('renders', () => {
    const xScale = () => 0;
    xScale.ticks = () => [];
    xScale.domain = () => [0, 0];
    xScale.range = () => [0, 0];
    const yScale = d3scale.scaleLinear().domain([0, 1]).range([0, 100]);
    const component = renderIntoDocument(
      <div>
        <ChartArea
          minDataY={0}
          maxDataY={100}
          xScale={xScale}
          yScale={yScale}
          height={100}
          legend={null}
          title={null}
          titleIconType={null}
          setMouseOverTime={() => null}
          componentHeight={100}
          children={null}
          mouseOverTime={null}
          tickTextFormatterCreator={createAxisCountTextFormatter}
          hoverFormatter={() => null}
        >
          <g />
        </ChartArea>
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    expect(node).to.exist;
  });
});
