// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import FillGradient, { GradientType } from 'components/charting/charts/FillGradient';

describe('<FillGradient />', () => {
  it('renders', () => {
    const component = shallow(
      <FillGradient idCountHack={0} />
    );
    expect(component).to.be.present();
    expect(component.find(`#${GradientType.expected}0`)).to.be.present();
  });

  it('renders a failure', () => {
    const component = shallow(
      <FillGradient
        idCountHack={0}
        type={GradientType.failure}
      />
    );
    expect(component).to.be.present();
    expect(component.find(`#${GradientType.failure}0`)).to.be.present();
  });
});
