// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { FormItem, basisMultiplier } from 'components/form/FormItem';
import styles from 'components/form/FormItem.css';

describe('<FormItem />', () => {
  let props;

  beforeEach(() => {
    props = {
      colSpan: 6
    };
  });

  it('renders', () => {
    const wrapper = shallow(<FormItem {...props} />);
    expect(wrapper.is({ className: styles['form-item-root-first-in-row'] }));
    wrapper.unmount();
  });

  describe('`colSpan`', () => {
    it('adjusts flexBasis by the correct amount', () => {
      const wrapper = shallow(<FormItem {...props} />);
      expect(wrapper.find({ className: styles['form-item-root-first-in-row'] }))
        .to.have
        .style('flex-basis')
        .equal(`${props.colSpan * basisMultiplier}rem`);
      wrapper.unmount();
    });
  });
});
