// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { Header } from 'components/header/Header';
import styles from 'components/header/Header.css';

describe('<Header />', () => {
  it('renders', () => {
    const wrapper = shallow(<Header />);
    expect(wrapper.find({ className: styles['root'] })).to.be.present();
  });

  it('can render an element in the top right', () => {
    const testElement = (<div>lol</div>);
    const wrapper = shallow(<Header topRight={testElement} />);
    expect(wrapper.contains(testElement)).to.eql(true);
  });

  it('can render an element in the bottom left', () => {
    const testElement = (<div>lol</div>);
    const wrapper = shallow(<Header bottomLeft={testElement} />);
    expect(wrapper.contains(testElement)).to.eql(true);
  });

  it('can render an element in bot top right and bottom left', () => {
    const testElement1 = (<div>lol1</div>);
    const testElement2 = (<div>lol2</div>);
    const wrapper = shallow(<Header bottomLeft={testElement1} topRight={testElement2} />);
    expect(wrapper.contains(testElement1)).to.eql(true);
    expect(wrapper.contains(testElement2)).to.eql(true);
  });
});
