// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { spy } from 'sinon';

import { ConnectorStatusActions } from 'components/management/ConnectorStatusActions';

describe('<ConnectorStatusActions />', () => {
  const baseProps = {
    actions: {
      loadConnectorStatus: spy(),
      pauseConnector: spy(),
      resumeConnector: spy()
    },
    children() {
      return (
        <div data-name="my-div" />
      );
    },
    name: 'test',
    status: 'RUNNING'
  };

  it('mounts', () => {
    const props = {
      ...baseProps
    };
    const wrapper = shallow(<ConnectorStatusActions {...props} />);
    expect(wrapper.find('[data-name="my-div"]')).to.be.present();

    wrapper.unmount();
  });
});
