// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import { shallow } from 'enzyme';
import d3scale from 'd3-scale';

import { DeliveryLatencyCharts } from 'components/monitoring/DeliveryLatencyCharts';
import { RangeTypes } from 'constants/monitoring/timeframe';


describe('<DeliveryLatencyCharts />', () => {
  it('renders', () => {
    const xScale = d3scale.scaleTime().domain([0, 100]).range([0, 100]);
    const wrapper = shallow(
      <DeliveryLatencyCharts
        data={null}
        xScale={xScale}
        slotWidth={{ px: 10, ms: 100 }}
        mouseOverTime={null}
        mouseOverTimeSlotQuantized={null}
        timeframeRangeType={RangeTypes.ROLLING}
        consumedCounts={null}
        consumedLatency={null}
        producedCounts={null}
        routedDataLayoutType={null}
        focusedComponent={null}
      />
    );
    expect(wrapper).to.be.present();
  });
});
