// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { CellLink, IconTypes } from 'components/table/CellLink';
import styles from 'components/table/CellLink.css';

describe('<CellLink />', () => {
  let props;

  beforeEach(() => {
    props = {
      cellData: {
        text: 'Edit Sink',
        icon: IconTypes.EDIT,
        linkTo: '/management/connect/sinks/69/edit/'
      }
    };
  });

  it('shallow', () => {
    const wrapper = shallow(<CellLink {...props} />);
    expect(wrapper.find({ className: styles['action'] })).to.be.present();
  });
});
