// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import { FluidTable } from 'components/table/FluidTable';
import sharedTableStyles from 'components/table/shared.css';

describe('<FluidTable />', () => {
  let props;

  beforeEach(() => {
    const rowData = [
      {
        id: 96,
        type: 'JDBC',
        name: 'Profiles',
        tasks: 3
      }, {
        id: 97,
        type: 'JDBC',
        name: 'Profiles',
        tasks: 4
      }, {
        id: 98,
        type: 'JDBC',
        name: 'Profiles',
        tasks: 0
      }
    ];

    props = {
      rowData
    };

  });

  it('renders', () => {
    const wrapper = mount(
      <FluidTable {...props} />
    );

    expect(wrapper.find(`.${sharedTableStyles['table-base']}`)).to.be.present();
    wrapper.unmount();
  });

  it('`extraClass` is applied', () => {
    props = {
      ...props,
      extraClass: 'extra'
    };

    const wrapper = mount(
      <FluidTable {...props} />
    );

    expect(wrapper.find(`.${props.extraClass}`)).to.be.present();
    wrapper.unmount();
  });
});
