// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { RECEIVE_LICENSE_DATA } from 'actions/license';
import license from 'reducers/license';

import type { LicenseState } from 'reducers/license';

describe('license', () => {
  it('base state should be empty', () => {
    const data = license(undefined, { type: 'blah', payload: 0 });
    expect(data).to.be.null;
  });

  it('initializes license data', () => {
    const payload: LicenseState = { expiration: 100 };
    const data = license(undefined, { payload: payload, type: RECEIVE_LICENSE_DATA });
    expect(data).to.not.be.null;
    if (data == null) return;
    expect(data).to.include.keys('expiration');
    expect(data.expiration).to.eql(100);
  });

  it('updates license data', () => {
    const payload: LicenseState = { expiration: 100 };
    const initialData = license(undefined, { payload: payload, type: RECEIVE_LICENSE_DATA });
    const update: LicenseState = { expiration: 10 };
    const data = license(initialData, { payload: update, type: RECEIVE_LICENSE_DATA });
    if (data == null) return;
    expect(data).to.not.be.null;
    expect(data).to.include.keys('expiration');
    expect(data.expiration).to.eql(10);
  });
});
