// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
// ---------------------------------------
// Test Environment Setup
// ---------------------------------------
/* eslint-disable import/imports-first */
process.env.TZ = 'America/Los_Angeles';


import 'babel-polyfill';

import sinon from 'sinon';
import chai from 'chai';
import sinonChai from 'sinon-chai';
import chaiAsPromised from 'chai-as-promised';
import chaiEnzyme from 'chai-enzyme';
import chaiStats from 'chai-stats';

chai.use(chaiAsPromised);
chai.use(chaiEnzyme());
chai.use(chaiStats);
chai.use(sinonChai);

global.chai = chai;
global.sinon = sinon;
global.expect = chai.expect;
global.should = chai.should();

// ---------------------------------------
// Require Tests
// ---------------------------------------
// for use with karma-webpack-with-fast-source-maps
const __karmaWebpackManifest__ = [] // eslint-disable-line
const inManifest = (path) => __karmaWebpackManifest__.indexOf(path) !== 1;

// require all `tests/**/*.spec.js`
const testsContext = require.context('./', true, /^((?!testEntry).)*\.(js|jsx)$/);

// only run tests that have changed after the first pass.
const testsToRun = testsContext.keys().filter(inManifest)
;(testsToRun.length ? testsToRun : testsContext.keys()).forEach(testsContext);

// require all `src/**/*.js` except for `client.js` (for isparta coverage reporting)
const componentsContext = require.context('../src/', true, /^((?!client).)*\.(js|jsx)$/);

componentsContext.keys().forEach(componentsContext);
