// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';

import { argSelectors } from 'utils/memoize';

describe('memoize', () => {

  it('argSelectors1', () => {
    expect(argSelectors(1).length).to.eql(1);
    expect(argSelectors(1)[0](42)).to.equal(42);
  });

  it('argSelectors2', () => {
    expect(argSelectors(2).length).to.eql(2);
    expect(argSelectors(2)[0](41)).to.equal(41);
    expect(argSelectors(2)[1](41, 42)).to.equal(42);
  });

  it('argSelectors3', () => {
    expect(argSelectors(3).length).to.eql(3);
    expect(argSelectors(3)[0](41)).to.equal(41);
    expect(argSelectors(3)[1](41, 42)).to.equal(42);
    expect(argSelectors(3)[2](41, 42, 43)).to.equal(43);
  });

  it('argSelectors4', () => {
    expect(argSelectors(4).length).to.eql(4);
    expect(argSelectors(4)[0](41)).to.equal(41);
    expect(argSelectors(4)[1](41, 42)).to.equal(42);
    expect(argSelectors(4)[2](41, 42, 43)).to.equal(43);
    expect(argSelectors(4)[3](41, 42, 43, 44)).to.equal(44);
  });
});
