// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.example;

import com.google.common.collect.Lists;
import com.google.inject.AbstractModule;
import com.google.inject.Provides;

import io.confluent.controlcenter.ControlCenterConfig;

public class ExampleModule extends AbstractModule {

  private final String topic;
  private final ControlCenterConfig config;

  public ExampleModule(String topic, ControlCenterConfig config) {
    this.topic = topic;
    this.config = config;
  }

  @Override
  protected void configure() {
  }

  @Provides
  protected FakeConsumer provideFakeConsumer() {
    return new FakeConsumer(Lists.newArrayList(topic), config);
  }

  @Provides
  protected FakeProducer provideFakeProducer() {
    return new FakeProducer(Lists.newArrayList(topic), config);
  }
}
